Chromium Code Reviews
Help | Chromium Project | Sign in
(1)

Issue 11358122: Object.observe: Fixed missing case for turning off ICs. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by rossberg
Modified:
2 years, 4 months ago
CC:
v8-dev, adamk, rafaelw
Visibility:
Public.

Description

Object.observe: Fixed missing case for turning off ICs. R=mstarzinger@chromium.org BUG= Committed: https://code.google.com/p/v8/source/detail?r=12901

Patch Set 1 #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+35 lines, -1 line) Patch
M src/ic.cc View 1 chunk +3 lines, -1 line 3 comments Download
M test/mjsunit/harmony/object-observe.js View 1 chunk +32 lines, -0 lines 0 comments Download
Trybot results:
Commit: CQ not working?

Messages

Total messages: 4 (0 generated)
rossberg
2 years, 4 months ago (2012-11-06 17:29:26 UTC) #1
rafaelw
https://codereview.chromium.org/11358122/diff/1/src/ic.cc File src/ic.cc (right): https://codereview.chromium.org/11358122/diff/1/src/ic.cc#newcode1922 src/ic.cc:1922: // Do not use ICs for objects that require ...
2 years, 4 months ago (2012-11-07 09:10:10 UTC) #2
Michael Starzinger
LGTM. https://codereview.chromium.org/11358122/diff/1/src/ic.cc File src/ic.cc (right): https://codereview.chromium.org/11358122/diff/1/src/ic.cc#newcode1922 src/ic.cc:1922: // Do not use ICs for objects that ...
2 years, 4 months ago (2012-11-07 11:08:29 UTC) #3
rossberg
2 years, 4 months ago (2012-11-07 12:23:49 UTC) #4
https://chromiumcodereview.appspot.com/11358122/diff/1/src/ic.cc
File src/ic.cc (right):

https://chromiumcodereview.appspot.com/11358122/diff/1/src/ic.cc#newcode1922
src/ic.cc:1922: // Do not use ICs for objects that require access checks
(including
On 2012/11/07 09:10:10, rafaelw wrote:
> Maybe update comment?

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cf4c24d